package com.zanxiang.game.back.base.pojo.dto;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class TencentOrderDTO implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 回传策略ID
     */
    private Long backPolicyId;
    /**
     * 游戏ID
     */
    private Long gameId;

    /**
     * 广告账号ID
     */
    private Long adAccountId;

    /**
     * 注册时间
     */
    private LocalDateTime registerTime;

    /**
     * 关注时间
     */
    private LocalDateTime subscribeTime;

    /**
     * 充值金额（分）
     */
    private Long rechargeMoney;

    /**
     * 充值时间
     */
    private LocalDateTime rechargeTime;

    /**
     * 订单ID
     */
    private String orderId;

    /**
     * 渠道号
     */
    private String channel;

    /**
     * openid
     */
    private String wechatOpenid;

    /**
     * appid
     */
    private String wechatAppId;

    /**
     * 支付状态，0 : 预下单, 1 : 待支付，2 : 支付成功，-1 : 已取消
     */
    private Integer orderStatus;

    /**
     * 支付时间
     */
    private LocalDateTime payTime;

    /**
     * 数据源ID
     */
    private Long userActionSetId;

    /**
     * 小游戏回传的时候要
     */
    private String clickId;

    private Long roleId;

    private String roleName;
}
