package com.zanxiang.game.back.serve.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import lombok.*;
import lombok.experimental.Accessors;

/**
 * <p>
 * 游戏回传策略表
 * </p>
 *
 * @author auto
 * @since 2023-06-01
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@TableName("t_game_back_policy")
public class GameBackPolicy implements Serializable {
    private static final long serialVersionUID = 1L;

    // 固定比例
    public static final Integer POLICY_TYPE_FIXED_RATE = 0;
    // 随机概率
    public static final Integer POLICY_TYPE_RANDOM_RATE = 1;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    private String backPolicyName;

    /**
     * 首充-小额判定金额（小于等于）
     */
    private Long firstMinMoney;

    /**
     * 首充-小额回传方式（概率/比例）
     */
    private Integer firstMinMoneyType;

    /**
     * 首充-小额回传概率/比例
     */
    private String firstMinMoneyRate;

    /**
     * 首充-大额判定金额（大于等于）
     */
    private Long firstMaxMoney;

    /**
     * 首充-大额回传方式（概率/比例）
     */
    private Integer firstMaxMoneyType;

    /**
     * 首充-大额回传概率/比例
     */
    private String firstMaxMoneyRate;

    /**
     * 首充-其它金额回传方式（概率/比例）
     */
    private Integer firstOtherMoneyType;

    /**
     * 首充-其它金额回传概率/比例
     */
    private String firstOtherMoneyRate;

    /**
     * 次单-小额判定金额（小于等于）
     */
    private Long rechargeMinMoney;

    /**
     * 次单-小额回传方式（概率/比例）
     */
    private Integer rechargeMinMoneyType;

    /**
     * 次单-小额回传概率/比例
     */
    private String rechargeMinMoneyRate;

    /**
     * 次单-大额判定金额（大于等于）
     */
    private Long rechargeMaxMoney;

    /**
     * 次单-大额回传方式（概率/比例）
     */
    private Integer rechargeMaxMoneyType;

    /**
     * 次单-大额回传概率/比例
     */
    private String rechargeMaxMoneyRate;

    /**
     * 次单-其它金额回传方式（概率/比例）
     */
    private Integer rechargeOtherMoneyType;

    /**
     * 次单-其它金额回传概率/比例
     */
    private String rechargeOtherMoneyRate;

    /**
     * 降档级别
     */
    private Integer levelDown;

    private LocalDateTime createTime;

    private Long createBy;

    private LocalDateTime updateTime;

    private Long updateBy;

    private Long regPayIntervalTime;


}
