package com.zanxiang.game.back.serve.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 头条订单上报日志
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@TableName("t_game_oceanengine_order_log")
public class GameOceanengineOrderLog implements Serializable {
    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    /**
     * 小游戏 id
     */
    private String appId;
    /**
     * 用户 open_id
     */
    private String openId;
    /**
     * 用户 union_id
     */
    private String unionId;
    /**
     * 游戏 id
     */
    private Long gameId;
    /**
     * 回传策略 id
     */
    private Long backPolicyId;
    /**
     * 广告账号_id
     */
    private Long accountId;
    /**
     * 广告回传 token
     */
    private String accountReportToken;
    /**
     * 广告回传 url
     */
    private String accountReportUrl;
    /**
     * 渠道标识
     */
    private String agentKey;
    /**
     * 订单编号
     */
    private String orderNo;
    /**
     * 订单金额（分）
     */
    private Long amount;
    /**
     * 支付状态，0 : 预下单, 1 : 待支付，2 : 支付成功，-1 : 已取消
     */
    private Integer orderStatus;
    /**
     * 下单时间
     */
    private LocalDateTime createTime;
    /**
     * 支付时间
     */
    private LocalDateTime payTime;

    private LocalDateTime regTime;
    /**
     * 回传状态
     */
    private Integer backStatus;

    private Long roleId;

    private String roleName;

    private Boolean isFirstOrder;

}
