package com.zanxiang.game.data.serve.controller;

import com.zanxiang.erp.security.annotation.PreAuthorize;
import com.zanxiang.game.data.serve.pojo.dto.PromotionDayDTO;
import com.zanxiang.game.data.serve.pojo.dto.PromotionDayTotalDTO;
import com.zanxiang.game.data.serve.pojo.vo.PromotionDayTotalVO;
import com.zanxiang.game.data.serve.pojo.vo.PromotionDayVO;
import com.zanxiang.game.data.serve.service.IAdsPromotionDayService;
import com.zanxiang.game.data.serve.utils.Page;
import com.zanxiang.module.util.pojo.ResultVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author tianhua
 * @time 2023/7/27
 * @Description
 **/
@Api(tags = {"广告监控"})
@RestController
@RequestMapping("/promotionData")
@Slf4j
public class AdsPromotionDayController {

    @Autowired
    private IAdsPromotionDayService adsPromotionDayService;

    @ApiOperation(value = "广告监控数据")
    @PreAuthorize(permissionKey = "promotionData:adsPromotionDay:day")
    @PostMapping("/day")
    public ResultVO<Page<PromotionDayVO>> getPromotionDayData(@RequestBody PromotionDayDTO dto){
        return ResultVO.ok(adsPromotionDayService.getPromotionDayData(dto));
    }

    @ApiOperation(value = "广告监控数据总计")
    @PreAuthorize(permissionKey = "promotionData:adsPromotionDay:total")
    @PostMapping("/total")
    public ResultVO<PromotionDayTotalVO> getPromotionDayTotalData(@RequestBody PromotionDayTotalDTO dto) {
        return ResultVO.ok(adsPromotionDayService.getPromotionDayTotalData(dto));
    }

}
