package com.zanxiang.game.data.serve.pojo.dto;

import com.zanxiang.game.data.serve.pojo.base.BasePage;
import com.zanxiang.game.data.serve.pojo.entity.AdsOrderDetail;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

@Data
public class AdsOrderDetailListDTO extends BasePage {

    @ApiModelProperty(notes = "订单创建时间")
    private LocalDateTime beginOrderTime;

    @ApiModelProperty(notes = "订单创建时间")
    private LocalDateTime endOrderTime;

    @ApiModelProperty(notes = "数据来源")
    private String sourceSystem;

    @ApiModelProperty(notes = "订单号")
    private String orderId;

    @ApiModelProperty(notes = "CP订单号")
    private String cpOrderId;

    @ApiModelProperty(notes = "商户订单号")
    private String merchantOrderNo;

    @ApiModelProperty(notes = "投手 id")
    private String zxPitcherId;

    @ApiModelProperty(notes = "玩家ID")
    private String gameUserId;

    @ApiModelProperty(notes = "玩家账号")
    private String username;

    @ApiModelProperty(notes = "父游戏ID")
    private String parentId;

    @ApiModelProperty(notes = "充值游戏ID")
    private String orderGameId;

    @ApiModelProperty(notes = "用户游戏ID")
    private String gameId;

    @ApiModelProperty(notes = "广告账号")
    private String accountId;

    @ApiModelProperty(notes = "归属渠道ID")
    private String agentId;

    @ApiModelProperty(notes = "操作系统")
    private String os;

    @ApiModelProperty(notes = "支付状态，1为待处理，2为成功，3为失败")
    private String orderStatus;

    @ApiModelProperty(notes = "支付方式")
    private String payway;

    @ApiModelProperty(notes = "角色ID")
    private String roleId;

    @ApiModelProperty(notes = "角色名称")
    private String roleName;

    @ApiModelProperty(notes = "用户注册时间")
    private LocalDateTime beginRegTime;

    @ApiModelProperty(notes = "用户注册时间")
    private LocalDateTime endRegTime;
}
