package com.zanxiang.game.data.serve.pojo.dto;

import com.zanxiang.game.data.serve.pojo.base.BasePage;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;


import java.time.LocalDate;

/**
 * @author tianhua
 * @time 2023/7/12
 * @Description 游戏总数据前端查询参数实体
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GameDataWaterDTO extends BasePage {

    /**
     * 推广游戏名称
     */
    @ApiModelProperty(notes = "游戏名称")
    private String gameName;

    @ApiModelProperty(notes = "游戏id")
    private Long gameId;

    @ApiModelProperty(notes = "SDK来源")
    private String sourceSystem;

    /**
     * 推广游戏应用类别
     */
    @ApiModelProperty(notes = "游戏应用类型")
    private String gameClassify;

    /**
     * 充值时间（开始）
     */
    @ApiModelProperty(notes = "充值时间")
    private LocalDate rechargeDate;

    @ApiModelProperty(notes = "排序字段")
    private String sortFiled;

    @ApiModelProperty(notes = "排序方式：升序asc;降序desc")
    private String sortType;

}
