package com.zanxiang.game.data.serve.pojo.dto;

import com.zanxiang.game.data.serve.pojo.base.BasePage;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDate;

/**
 * @author tianhua
 * @time 2023/7/27
 * @Description 前端传递的查询参数实体
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class PromotionDayDTO extends BasePage {

    /**
     * 消耗开始日期
     */
    @ApiModelProperty(value = "消耗开始时间")
    private LocalDate costBeginDate;

    /**
     * 消耗结束日期
     */
    @ApiModelProperty(value = "消耗结束时间")
    private LocalDate costEndDate;

    /**
     * SDK来源
     */
    @ApiModelProperty(value = "SDK来源")
    private String sourceSystem;

    /**
     * 广告ID
     */
    @ApiModelProperty(value = "广告ID")
    private Long promotionId;

    /**
     * 广告名称
     */
    @ApiModelProperty(value = "广告名称")
    private String promotionName;

    /**
     * 广告状态
     */
    @ApiModelProperty(value = "广告状态")
    private String status;

    /**
     * 计划ID
     */
    @ApiModelProperty(value = "计划ID")
    private Long projectId;

    /**
     * 计划名称
     */
    @ApiModelProperty(value = "计划名称")
    private String projectName;

    /**
     * 推广账号名称
     */
    @ApiModelProperty(value = "推广账号名称")
    private String accountName;

    /**
     * 推广账号ID
     */
    @ApiModelProperty(value = "推广账号ID")
    private Long accountId;

    /**
     * 投放媒体
     */
    @ApiModelProperty(value = "投放媒体")
    private String accountType;

    /**
     * 投手ID
     */
    @ApiModelProperty(value = "投手ID")
    private Long pitcherId;

    /**
     * 投手名称
     */
    @ApiModelProperty(value = "投手名称")
    private String pitcherName;

    /**
     * 渠道ID
     */
    @ApiModelProperty(value = "渠道ID")
    private Long agentId;

    /**
     * 渠道名称
     */
    @ApiModelProperty(value = "渠道名称")
    private String agentName;

    /**
     * 渠道标识
     */
    @ApiModelProperty(value = "渠道标识")
    private String agentKey;

    /**
     * cp名称
     */
    @ApiModelProperty(value = "CP名称")
    private String cpName;

    /**
     * 游戏ID
     */
    @ApiModelProperty(value = "游戏ID")
    private Long gameId;

    /**
     * 游戏名称
     */
    @ApiModelProperty(value = "游戏名称")
    private String gameName;

    /**
     * 游戏应用类型
     */
    @ApiModelProperty(value = "游戏应用类型")
    private Long classify;

    /**
     * 排序字段
     */
    @ApiModelProperty(notes = "排序字段")
    private String sortFiled;

    /**
     * 排序方式：升序asc;降序desc
     */
    @ApiModelProperty(notes = "排序方式：升序asc;降序desc")
    private String sortType;

}
