package com.zanxiang.game.data.serve.pojo.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.nutz.dao.entity.annotation.Column;
import org.nutz.dao.entity.annotation.PK;
import org.nutz.dao.entity.annotation.Table;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * <p>
 * 广告每日数据
 * </p>
 *
 * @author auto
 * @since 2023-07-27
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Table(AdsPlayerRechargeRanking.TABLE_NAME)
@PK({"dt", "sourceSystem", "promotion_id", "project_id"})
public class AdsPromotionDay implements Serializable {

    private static final long serialVersionUID = 1L;
    public static final String TABLE_NAME = "ads_promotion_day";

    /**
     * 日期
     */
    private LocalDate dt;

    /**
     * SDK来源
     */
    private String sourceSystem;

    /**
     * 广告ID
     */
    private Long promotionId;

    /**
     * 计划ID
     */
    private Long projectId;

    /**
     * 广告名称
     */
    @Column
    private String promotionName;

    /**
     * 计划名称
     */
    @Column
    private String projectName;

    /**
     * 推广账号名称
     */
    @Column
    private String accountName;

    /**
     * 推广账号ID
     */
    @Column
    private Long accountId;

    /**
     * 投放媒体
     */
    @Column
    private String accountType;

    /**
     * 投手ID
     */
    @Column
    private Long pitcherId;

    /**
     * 投手名称
     */
    @Column
    private String pitcherName;

    /**
     * 备注
     */
    @Column
    private String notes;

    /**
     * 服务商
     */
    @Column
    private String service;

    /**
     * 余额
     */
    @Column
    private String balance;

    /**
     * 渠道ID
     */
    @Column
    private Long agentId;

    /**
     * 渠道名称
     */
    @Column
    private String agentName;

    /**
     * 渠道标识
     */
    @Column
    private String agentKey;

    /**
     * cp名称
     */
    @Column
    private String cpName;

    /**
     * 游戏ID
     */
    @Column
    private Long gameId;

    /**
     * 游戏名称
     */
    @Column
    private String gameName;

    /**
     * 游戏应用类型
     */
    @Column
    private Long classify;

    /**
     * 广告状态
     */
    @Column
    private String status;

    /**
     * 创意预览
     */
    @Column
    private String creativePreview;

    /**
     * 推广目标
     */
    @Column
    private String landingType;

    /**
     * 出价方式
     */
    @Column
    private String pricing;

    /**
     * 当前出价
     */
    @Column
    private String cpaBid;

    /**
     * 深度转化ROI系数
     */
    @Column
    private String roiGoal;

    /**
     * 日预算
     */
    @Column
    private String budget;

    /**
     * 投放时间
     */
    @Column
    private String scheduleTime;

    /**
     * 今日消耗
     */
    @Column
    private BigDecimal todayCost;

    /**
     * 广告总消耗
     */
    @Column
    private BigDecimal promotionTotalCost;

    /**
     * 曝光量
     */
    @Column
    private Long showCount;

    /**
     * 千次曝光成本
     */
    @Column
    private BigDecimal thousandDisplayPrice;

    /**
     * 点击量
     */
    @Column
    private Long clickCount;

    /**
     * 点击均价
     */
    @Column
    private BigDecimal avgClickCost;

    /**
     * 点击率
     */
    @Column
    private BigDecimal ctr;

    /**
     * 转化目标
     */
    @Column
    private String convertTarget;

    /**
     * 转化目标量
     */
    @Column
    private Long convertCount;

    /**
     * 转化目标成本
     */
    @Column
    private BigDecimal convertCost;

    /**
     * 目标转化率
     */
    @Column
    private BigDecimal convertRate;

    /**
     * 新增用户数
     */
    @Column
    private Long regNum;

    /**
     * 广告总注册人数
     */
    @Column
    private Long regTotalNum;

    /**
     * 总创角人数
     */
    @Column
    private Long roleTotalNum;

    /**
     * 首日创角人数
     */
    @Column
    private Long firstRoleNum;

    /**
     * 新用户累计创角人数
     */
    @Column
    private Long newUserTotalRoleNum;

    /**
     * 注册成本
     */
    @Column
    private BigDecimal regCost;

    /**
     * 总注册成本
     */
    @Column
    private BigDecimal regTotalCost;

    /**
     * 首日创角成本
     */
    @Column
    private BigDecimal firstRoleCost;

    /**
     * 新用户创角成本
     */
    @Column
    private BigDecimal newUserTotalRoleCost;

    /**
     * 总创角成本
     */
    @Column
    private BigDecimal roleTotalCost;

    /**
     * 首日创角率
     */
    @Column
    private BigDecimal firstRoleRate;

    /**
     * 新用户创角率
     */
    @Column
    private BigDecimal newUserTotalRoleRate;

    /**
     * 总创角率
     */
    @Column
    private BigDecimal roleTotalRate;

    /**
     * 新增付费次数
     */
    @Column
    private Long firstNewUserAmountCount;

    /**
     * 新增付费人数
     */
    @Column
    private Long firstNewUserAmountNum;

    /**
     * 新增付费金额
     */
    @Column
    private BigDecimal firstNewUserAmount;

    /**
     * 至今付费次数
     */
    @Column
    private Long newUserTotalAmountCount;

    /**
     * 至今付费人数
     */
    @Column
    private Long newUserTotalAmountNum;

    /**
     * 至今付费金额
     */
    @Column
    private BigDecimal newUserTotalAmount;

    /**
     * 总充值次数
     */
    @Column
    private Long totalAmountCount;

    /**
     * 总充值人数
     */
    @Column
    private Long totalAmountNum;

    /**
     * 总充值金额
     */
    @Column
    private BigDecimal totalAmount;

    /**
     * 首日ROI
     */
    @Column
    private BigDecimal firstRoi;

    /**
     * 新用户24小时充值金额
     */
    @Column
    private BigDecimal twentyFourHoursAmount;

    /**
     * 新用户24小时ROI
     */
    @Column
    private BigDecimal twentyFourHoursRoi;

    /**
     * 总ROI
     */
    @Column
    private BigDecimal totalRoi;

    /**
     * 广告总ROI
     */
    @Column
    private BigDecimal promotionTotalRoi;

    /**
     * 新增付费成本
     */
    @Column
    private BigDecimal firstNewUserRechargeCost;

    /**
     * 至今付费成本
     */
    @Column
    private BigDecimal newUserTotalRechargeCost;

    /**
     * 广告总付费成本
     */
    @Column
    private BigDecimal totalRechargeCost;

    /**
     * 新增付费ARPPU
     */
    @Column
    private BigDecimal firstNewUserArppu;

    /**
     * 至今付费ARPPU
     */
    @Column
    private BigDecimal newUserTotalAmountArppu;

    /**
     * 新增付费100+用户数
     */
    @Column
    private Long firstNewUserHundredUserNum;

    /**
     * 新增付费200+用户数
     */
    @Column
    private Long firstNewUserTwoHundredUserNum;

    /**
     * 至今付费100+用户数
     */
    @Column
    private Long newUserTotalHundredUserNum;

    /**
     * 首充50~100元用户数
     */
    @Column
    private Long firstRechargeFiftyHundredNum;

    /**
     * 新增付费100+用户付费成本
     */
    @Column
    private BigDecimal firstNewUserHundredUserCost;

    /**
     * 新增付费200+用户付费成本
     */
    @Column
    private BigDecimal firstNewUserTwoHundredUserCost;

    /**
     * 至今付费100+用户付费成本
     */
    @Column
    private BigDecimal newUserTotalHundredUserCost;

    /**
     * 首充50~100元占比
     */
    @Column
    private BigDecimal firstRechargeFiftyHundredRate;

    /**
     * 首日IOS付费次数
     */
    @Column
    private Long firstIosAmountCount;

    /**
     * 首日IOS付费人数
     */
    @Column
    private Long firstIosAmountNum;

    /**
     * 首日IOS付费金额
     */
    @Column
    private BigDecimal firstIosAmount;

    /**
     * 首日Android付费次数
     */
    @Column
    private Long firstAndroidAmountCount;

    /**
     * 首日Android付费人数
     */
    @Column
    private Long firstAndroidAmountNum;

    /**
     * 首日Android付费金额
     */
    @Column
    private BigDecimal firstAndroidAmount;

    /**
     * 首日IOS付费人数占比
     */
    @Column
    private BigDecimal firstIosAmountNumRate;

    /**
     * 首日IOS付费金额占比
     */
    @Column
    private BigDecimal firstIosAmountRate;

    /**
     * 首日IOS付费ROI
     */
    @Column
    private BigDecimal firstIosAmountRoi;

    /**
     * 首日Android付费人数占比
     */
    @Column
    private BigDecimal firstAndroidAmountNumRate;

    /**
     * 首日Android付费金额占比
     */
    @Column
    private BigDecimal firstAndroidAmountRate;

    /**
     * 首日Android付费ROI
     */
    @Column
    private BigDecimal firstAndroidAmountRoi;

    /**
     * 首日付费率
     */
    @Column
    private BigDecimal firstAmountRate;

    /**
     * 新增客单价
     */
    @Column
    private BigDecimal firstNewUserAvgPrice;

    /**
     * 至今客单价
     */
    @Column
    private BigDecimal newUserTotalAvgPrice;

    /**
     * 广告ID，消耗时间的第1天新用户充值
     */
    @Column
    private BigDecimal d1;

    /**
     * 广告ID，消耗时间的第2天新用户充值
     */
    @Column
    private BigDecimal d2;

    /**
     * 广告ID，消耗时间的第3天新用户充值
     */
    @Column
    private BigDecimal d3;

    /**
     * 广告ID，消耗时间的第4天新用户充值
     */
    @Column
    private BigDecimal d4;

    /**
     * 广告ID，消耗时间的第5天新用户充值
     */
    @Column
    private BigDecimal d5;

    /**
     * 广告ID，消耗时间的第6天新用户充值
     */
    @Column
    private BigDecimal d6;

    /**
     * 广告ID，消耗时间的第7天新用户充值
     */
    @Column
    private BigDecimal d7;

    /**
     * 广告ID，消耗时间的第8天新用户充值
     */
    @Column
    private BigDecimal d8;

    /**
     * 广告ID，消耗时间的第9天新用户充值
     */
    @Column
    private BigDecimal d9;

    /**
     * 广告ID，消耗时间的第10天新用户充值
     */
    @Column
    private BigDecimal d10;

    /**
     * 广告ID，消耗时间的第11天新用户充值
     */
    @Column
    private BigDecimal d11;

    /**
     * 广告ID，消耗时间的第12天新用户充值
     */
    @Column
    private BigDecimal d12;

    /**
     * 广告ID，消耗时间的第13天新用户充值
     */
    @Column
    private BigDecimal d13;

    /**
     * 广告ID，消耗时间的第14天新用户充值
     */
    @Column
    private BigDecimal d14;

    /**
     * 广告ID，消耗时间的第15天新用户充值
     */
    @Column
    private BigDecimal d15;

    /**
     * 广告ID，消耗时间的第16天新用户充值
     */
    @Column
    private BigDecimal d16;

    /**
     * 广告ID，消耗时间的第17天新用户充值
     */
    @Column
    private BigDecimal d17;

    /**
     * 广告ID，消耗时间的第18天新用户充值
     */
    @Column
    private BigDecimal d18;

    /**
     * 广告ID，消耗时间的第19天新用户充值
     */
    @Column
    private BigDecimal d19;

    /**
     * 广告ID，消耗时间的第20天新用户充值
     */
    @Column
    private BigDecimal d20;

    /**
     * 广告ID，消耗时间的第21天新用户充值
     */
    @Column
    private BigDecimal d21;

    /**
     * 广告ID，消耗时间的第22天新用户充值
     */
    @Column
    private BigDecimal d22;

    /**
     * 广告ID，消耗时间的第23天新用户充值
     */
    @Column
    private BigDecimal d23;

    /**
     * 广告ID，消耗时间的第24天新用户充值
     */
    @Column
    private BigDecimal d24;

    /**
     * 广告ID，消耗时间的第25天新用户充值
     */
    @Column
    private BigDecimal d25;

    /**
     * 广告ID，消耗时间的第26天新用户充值
     */
    @Column
    private BigDecimal d26;

    /**
     * 广告ID，消耗时间的第27天新用户充值
     */
    @Column
    private BigDecimal d27;

    /**
     * 广告ID，消耗时间的第28天新用户充值
     */
    @Column
    private BigDecimal d28;

    /**
     * 广告ID，消耗时间的第29天新用户充值
     */
    @Column
    private BigDecimal d29;

    /**
     * 广告ID，消耗时间的第30天新用户充值
     */
    @Column
    private BigDecimal d30;

    /**
     * 付费趋势第1天总：金额/人数/增/回/倍
     */
    @Column
    private String da1;

    /**
     * 付费趋势第2天总：金额/人数/增/回/倍
     */
    @Column
    private String da2;

    /**
     * 付费趋势第3天总：金额/人数/增/回/倍
     */
    @Column
    private String da3;

    /**
     * 付费趋势第4天总：金额/人数/增/回/倍
     */
    @Column
    private String da4;

    /**
     * 付费趋势第5天总：金额/人数/增/回/倍
     */
    @Column
    private String da5;

    /**
     * 付费趋势第6天总：金额/人数/增/回/倍
     */
    @Column
    private String da6;

    /**
     * 付费趋势第7天总：金额/人数/增/回/倍
     */
    @Column
    private String da7;

    /**
     * 付费趋势第8天总：金额/人数/增/回/倍
     */
    @Column
    private String da8;

    /**
     * 付费趋势第9天总：金额/人数/增/回/倍
     */
    @Column
    private String da9;

    /**
     * 付费趋势第10天总：金额/人数/增/回/倍
     */
    @Column
    private String da10;

    /**
     * 付费趋势第11天总：金额/人数/增/回/倍
     */
    @Column
    private String da11;

    /**
     * 付费趋势第12天总：金额/人数/增/回/倍
     */
    @Column
    private String da12;

    /**
     * 付费趋势第13天总：金额/人数/增/回/倍
     */
    @Column
    private String da13;

    /**
     * 付费趋势第14天总：金额/人数/增/回/倍
     */
    @Column
    private String da14;

    /**
     * 付费趋势第15天总：金额/人数/增/回/倍
     */
    @Column
    private String da15;

    /**
     * 付费趋势第16天总：金额/人数/增/回/倍
     */
    @Column
    private String da16;

    /**
     * 付费趋势第17天总：金额/人数/增/回/倍
     */
    @Column
    private String da17;

    /**
     * 付费趋势第18天总：金额/人数/增/回/倍
     */
    @Column
    private String da18;

    /**
     * 付费趋势第19天总：金额/人数/增/回/倍
     */
    @Column
    private String da19;

    /**
     * 付费趋势第20天总：金额/人数/增/回/倍
     */
    @Column
    private String da20;

    /**
     * 付费趋势第21天总：金额/人数/增/回/倍
     */
    @Column
    private String da21;

    /**
     * 付费趋势第22天总：金额/人数/增/回/倍
     */
    @Column
    private String da22;

    /**
     * 付费趋势第23天总：金额/人数/增/回/倍
     */
    @Column
    private String da23;

    /**
     * 付费趋势第24天总：金额/人数/增/回/倍
     */
    @Column
    private String da24;

    /**
     * 付费趋势第25天总：金额/人数/增/回/倍
     */
    @Column
    private String da25;

    /**
     * 付费趋势第26天总：金额/人数/增/回/倍
     */
    @Column
    private String da26;

    /**
     * 付费趋势第27天总：金额/人数/增/回/倍
     */
    @Column
    private String da27;

    /**
     * 付费趋势第28天总：金额/人数/增/回/倍
     */
    @Column
    private String da28;

    /**
     * 付费趋势第29天总：金额/人数/增/回/倍
     */
    @Column
    private String da29;

    /**
     * 付费趋势第30天总：金额/人数/增/回/倍
     */
    @Column
    private String da30;


}
