package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @author tianhua
 * @time 2023/7/12
 * @Description 返回给前端的游戏总数据实体
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GameDataTotalVO {

    /**
     * 游戏id（前端不显示）
     */
    @ApiModelProperty(value = "游戏Id（前端不显示）")
    private Long gameId;

    /**
     * 推广游戏名称
     */
    @ApiModelProperty(value = "游戏名称")
    private String gameName;

    /**
     * 推广游戏应用类型
     */
    @ApiModelProperty(value = "游戏类型")
    private Long gameClassify;

    /**
     * 消耗
     */
    @ApiModelProperty(value = "消耗")
    private BigDecimal cost;

    /**
     * 买量注册人数
     */
    @ApiModelProperty(value = "注册人数（买量）")
    private Long buyRegNum;

    /**
     * 自然量注册人数
     */
    @ApiModelProperty(value = "注册人数（自然量）")
    private Long natureRegNum;

    /**
     * 注册人数（总）
     */
    @ApiModelProperty(value = "注册人数（总量）")
    private Long regNum;

    /**
     * 新用户充值次数（买量）
     */
    @ApiModelProperty(value = "新用户充值次数（买量）")
    private Long buyNewUserAmountCount;

    /**
     * 新用户充值人数（买量）
     */
    @ApiModelProperty(value = "新用户充值人数（买量）")
    private Long buyNewUserAmountNum;

    /**
     * 新用户充值金额（买量）
     */
    @ApiModelProperty(value = "新用户充值金额（买量）")
    private BigDecimal buyNewUserAmount;

    /**
     * 首日新用户充值次数（买量）
     */
    @ApiModelProperty(value = "首日新用户充值次数（买量）")
    private Long buyFirstNewUserAmountCount;

    /**
     * 首日新用户充值人数（买量）
     */
    @ApiModelProperty(value = "首日新用户充值人数（买量）")
    private Long buyFirstNewUserAmountNum;

    /**
     * 首日新用户充值金额（买量）
     */
    @ApiModelProperty(value = "首日新用户充值金额（买量）")
    private BigDecimal buyFirstNewUserAmount;

    /**
     * 老用户充值次数（买量）
     */
    @ApiModelProperty(value = "老用户充值次数（买量）")
    private Long buyOldUserCount;

    /**
     * 老用户充值人数（买量）
     */
    @ApiModelProperty(value = "老用户充值人数（买量）")
    private Long buyOldUserNum;

    /**
     * 老用户充值金额（买量）
     */
    @ApiModelProperty(value = "老用户充值金额（买量）")
    private BigDecimal buyOldUserAmount;

    /**
     * 账面充值次数（买量）
     */
    @ApiModelProperty(value = "账面充值次数（买量）")
    private Long buyAmountCount;

    /**
     * 账面充值人数（买量）
     */
    @ApiModelProperty(value = "账面充值人数（买量）")
    private Long buyAmountNum;

    /**
     * 账面充值金额（买量）
     */
    @ApiModelProperty(value = "账面充值金额（买量）")
    private BigDecimal buyAmount;

    /**
     * 新用户累计充值次数（买量）
     */
    @ApiModelProperty(value = "新用户累计充值次数（买量）")
    private Long buyNewUserTotalAmountCount;

    /**
     * 新用户累计充值人数（买量）
     */
    @ApiModelProperty(value = "新用户累计充值人数（买量）")
    private Long buyNewUserTotalAmountNum;

    /**
     * 新用户累计充值金额（买量）
     */
    @ApiModelProperty(value = "新用户累计充值金额（买量）")
    private BigDecimal buyNewUserTotalAmount;

    /**
     * 首日Roi（买量）
     */
    @ApiModelProperty(value = "首日Roi（买量）")
    private BigDecimal buyFirstRoi;

    @ApiModelProperty(value = "首日付费率（买量）")
    private BigDecimal buyFirstAmountRate;

    /**
     * 当天付费率（买量）
     */
    @ApiModelProperty(value = "当天付费率（买量）")
    private BigDecimal buyTodayAmountRate;

    /**
     * 新用户付费率（买量）
     */
    @ApiModelProperty(value = "新用户付费率（买量）")
    private BigDecimal buyNewUserRoi;

    /**
     * 新用户付费比（买量）
     */
    @ApiModelProperty(value = "新用户付费比（买量）")
    private BigDecimal buyNewUserRate;

    /**
     * 首日客单价（买量）
     */
    @ApiModelProperty(value = "首日客单价（买量）")
    private BigDecimal buyFirstAvgAmount;

    /**
     * 当天客单价（买量）
     */
    @ApiModelProperty(value = "当天客单价（买量）")
    private BigDecimal buyTodayAvgAmount;

    /**
     * 账面客单价（买量）
     */
    @ApiModelProperty(value = "账面客单价（买量）")
    private BigDecimal buyAvgAmount;

    /**
     * 新用户客单价（买量）
     */
    @ApiModelProperty(value = "新用户客单价（买量）")
    private BigDecimal buyNewUserAvgAmount;

    /**
     * 复充率（买量）
     */
    @ApiModelProperty(value = "复充率（买量）")
    private BigDecimal buyUserAgainRate;

    /**
     * 新用户复充率（买量）
     */
    @ApiModelProperty(value = "新用户复充率（买量）")
    private BigDecimal buyNewUserAgainRate;

    /**
     * 当天复充率（买量）
     */
    @ApiModelProperty(value = "当天复充率（买量）")
    private BigDecimal buyTodayAgainRate;

    /**
     * 新用户复充人数（买量）（前端不需要显示）
     */
    @ApiModelProperty(value = "新用户复充人数（买量）（前端不需要显示）")
    private Long buyNewUserAgainNum;

    /**
     * 新增注册ARPU（买量）
     */
    @ApiModelProperty(value = "新增注册ARPU（买量）")
    private BigDecimal buyRegUserArpu;

    /**
     * 首日付费ARPU（买量）
     */
    @ApiModelProperty(value = "首日付费ARPU（买量）")
    private BigDecimal buyFirstAmountArpu;

    /**
     * 当天付费ARPU（买量）
     */
    @ApiModelProperty(value = "当天付费ARPU（买量）")
    private BigDecimal buyTodayAmountArpu;

    /**
     * 账面ARPU（买量）
     */
    @ApiModelProperty(value = "账面ARPU（买量）")
    private BigDecimal buyAmountArpu;

    /**
     * 新用户付费ARPU（买量）
     */
    @ApiModelProperty(value = "新用户付费ARPU（买量）")
    private BigDecimal buyNewUserAmountArpu;

    /**
     * 新用户充值次数（自然量）
     */
    @ApiModelProperty(value = "新用户充值次数（自然量）")
    private Long natureNewUserAmountCount;

    /**
     * 新用户充值人数（自然量）
     */
    @ApiModelProperty(value = "新用户充值人数（自然量）")
    private Long natureNewUserAmountNum;

    /**
     * 新用户充值金额（自然量）
     */
    @ApiModelProperty(value = "新用户充值金额（自然量）")
    private BigDecimal natureNewUserAmount;

    /**
     * 首日新用户充值次数（自然量）
     */
    @ApiModelProperty(value = "首日新用户充值次数（自然量）")
    private Long natureFirstNewUserAmountCount;

    /**
     * 首日新用户充值人数（自然量）
     */
    @ApiModelProperty(value = "首日新用户充值人数（自然量）")
    private Long natureFirstNewUserAmountNum;

    /**
     * 首日新用户充值金额（自然量）
     */
    @ApiModelProperty(value = "首日新用户充值金额（自然量）")
    private BigDecimal natureFirstNewUserAmount;

    /**
     * 老用户充值次数（自然量）
     */
    @ApiModelProperty(value = "老用户充值次数（自然量）")
    private Long natureOldUserCount;

    /**
     * 老用户充值人数（自然量）
     */
    @ApiModelProperty(value = "老用户充值人数（自然量）")
    private Long natureOldUserNum;

    /**
     * 老用户充值金额（自然量）
     */
    @ApiModelProperty(value = "老用户充值金额（自然量）")
    private BigDecimal natureOldUserAmount;

    /**
     * 账面充值次数（自然量）
     */
    @ApiModelProperty(value = "账面充值次数（自然量）")
    private Long natureAmountCount;

    /**
     * 账面充值人数（自然量）
     */
    @ApiModelProperty(value = "账面充值人数（自然量）")
    private Long natureAmountNum;

    /**
     * 账面充值金额（自然量）
     */
    @ApiModelProperty(value = "账面充值金额（自然量）")
    private BigDecimal natureAmount;

    /**
     * 新用户累计充值次数（自然量）
     */
    @ApiModelProperty(value = "新用户累计充值次数（自然量）")
    private Long natureNewUserTotalAmountCount;

    /**
     * 新用户累计充值人数（自然量）
     */
    @ApiModelProperty(value = "新用户累计充值人数（自然量）")
    private Long natureNewUserTotalAmountNum;

    /**
     * 新用户累计充值金额（自然量）
     */
    @ApiModelProperty(value = "新用户累计充值金额（自然量）")
    private BigDecimal natureNewUserTotalAmount;

    /**
     * 首日Roi（自然量）
     */
    @ApiModelProperty(value = "首日Roi（自然量）")
    private BigDecimal natureFirstRoi;

    @ApiModelProperty(value = "首日付费率")
    private BigDecimal natureFirstAmountRate;

    /**
     * 当天付费率（自然量）
     */
    @ApiModelProperty(value = "当天付费率（自然量）")
    private BigDecimal natureTodayAmountRate;

    /**
     * 新用户付费率（自然量）
     */
    @ApiModelProperty(value = "新用户付费率（自然量）")
    private BigDecimal natureNewUserRoi;

    /**
     * 新用户付费比（自然量）
     */
    @ApiModelProperty(value = "新用户付费比（自然量）")
    private BigDecimal natureNewUserRate;

    /**
     * 首日客单价（自然量）
     */
    @ApiModelProperty(value = "首日客单价（自然量）")
    private BigDecimal natureFirstAvgAmount;

    /**
     * 当天客单价（自然量）
     */
    @ApiModelProperty(value = "当天客单价（自然量）")
    private BigDecimal natureTodayAvgAmount;

    /**
     * 账面客单价（自然量）
     */
    @ApiModelProperty(value = "账面客单价（自然量）")
    private BigDecimal natureAvgAmount;

    /**
     * 新用户客单价（自然量）
     */
    @ApiModelProperty(value = "新用户客单价（自然量）")
    private BigDecimal natureNewUserAvgAmount;

    /**
     * 复充率（自然量）
     */
    @ApiModelProperty(value = "复充率（自然量）")
    private BigDecimal natureUserAgainRate;

    /**
     * 新用户复充率（自然量）
     */
    @ApiModelProperty(value = "新用户复充率（自然量）")
    private BigDecimal natureNewUserAgainRate;

    /**
     * 当天复充率（自然量）
     */
    @ApiModelProperty(value = "当天复充率（自然量）")
    private BigDecimal natureTodayAgainRate;

    /**
     * 新用户复充人数（自然量）（前端不需要显示）
     */
    @ApiModelProperty(value = "新用户复充人数（自然量）（前端不需要显示）")
    private Long natureNewUserAgainNum;

    /**
     * 新增注册ARPU（自然量）
     */
    @ApiModelProperty(value = "新增注册ARPU（自然量）")
    private BigDecimal natureRegUserArpu;

    /**
     * 首日付费ARPU（自然量）
     */
    @ApiModelProperty(value = "首日付费ARPU（自然量）")
    private BigDecimal natureFirstAmountArpu;

    /**
     * 当天付费ARPU（自然量）
     */
    @ApiModelProperty(value = "当天付费ARPU（自然量）")
    private BigDecimal natureTodayAmountArpu;

    /**
     * 账面ARPU（自然量）
     */
    @ApiModelProperty(value = "账面ARPU（自然量）")
    private BigDecimal natureAmountArpu;

    /**
     * 新用户付费ARPU（自然量）
     */
    @ApiModelProperty(value = "新用户付费ARPU（自然量）")
    private BigDecimal natureNewUserAmountArpu;

    /**
     * 新用户充值次数（总量）
     */
    @ApiModelProperty(value = "新用户充值次数（总量）")
    private Long newUserAmountCount;

    /**
     * 新用户充值人数（总量）
     */
    @ApiModelProperty(value = "新用户充值人数（总量）")
    private Long newUserAmountNum;

    /**
     * 新用户充值金额（总量）
     */
    @ApiModelProperty(value = "新用户充值金额（总量）")
    private BigDecimal newUserAmount;

    /**
     * 首日新用户充值次数（总量）
     */
    @ApiModelProperty(value = "首日新用户充值次数（总量）")
    private Long firstNewUserAmountCount;

    /**
     * 首日新用户充值人数（总量）
     */
    @ApiModelProperty(value = "首日新用户充值人数（总量）")
    private Long firstNewUserAmountNum;

    /**
     * 首日新用户充值金额（总量）
     */
    @ApiModelProperty(value = "首日新用户充值金额（总量）")
    private BigDecimal firstNewUserAmount;

    /**
     * 老用户充值次数（总量）
     */
    @ApiModelProperty(value = "老用户充值次数（总量）")
    private Long oldUserCount;

    /**
     * 老用户充值人数（总量）
     */
    @ApiModelProperty(value = "老用户充值人数（总量）")
    private Long oldUserNum;

    /**
     * 老用户充值金额（总量）
     */
    @ApiModelProperty(value = "老用户充值金额（总量）")
    private BigDecimal oldUserAmount;

    /**
     * 账面充值次数（总量）
     */
    @ApiModelProperty(value = "账面充值次数（总量）")
    private Long amountCount;

    /**
     * 账面充值人数（总量）
     */
    @ApiModelProperty(value = "账面充值人数（总量）")
    private Long amountNum;

    /**
     * 账面充值金额（总量）
     */
    @ApiModelProperty(value = "账面充值金额（总量）")
    private BigDecimal amount;

    /**
     * 新用户累计充值次数（总量）
     */
    @ApiModelProperty(value = "新用户累计充值次数（总量）")
    private Long newUserTotalAmountCount;

    /**
     * 新用户累计充值人数（总量）
     */
    @ApiModelProperty(value = "新用户累计充值人数（总量）")
    private Long newUserTotalAmountNum;

    /**
     * 新用户累计充值金额（总量）
     */
    @ApiModelProperty(value = "新用户累计充值金额（总量）")
    private BigDecimal newUserTotalAmount;

    /**
     * 首日Roi（总量）
     */
    @ApiModelProperty(value = "首日Roi（总量）")
    private BigDecimal firstRoi;

    @ApiModelProperty(value = "首日付费率")
    private BigDecimal firstAmountRate;

    /**
     * 当天付费率（总量）
     */
    @ApiModelProperty(value = "当天付费率（总量）")
    private BigDecimal todayAmountRate;

    /**
     * 新用户付费率（总量）
     */
    @ApiModelProperty(value = "新用户付费率（总量）")
    private BigDecimal newUserRoi;

    /**
     * 新用户付费比（总量）
     */
    @ApiModelProperty(value = "新用户付费比（总量）")
    private BigDecimal newUserRate;

    /**
     * 首日客单价（总量）
     */
    @ApiModelProperty(value = "首日客单价（总量）")
    private BigDecimal firstAvgAmount;

    /**
     * 当天客单价（总量）
     */
    @ApiModelProperty(value = "当天客单价（总量）")
    private BigDecimal todayAvgAmount;

    /**
     * 账面客单价（总量）
     */
    @ApiModelProperty(value = "账面客单价（总量）")
    private BigDecimal avgAmount;

    /**
     * 新用户客单价（总量）
     */
    @ApiModelProperty(value = "新用户客单价（总量）")
    private BigDecimal newUserAvgAmount;

    /**
     * 复充率（总量）
     */
    @ApiModelProperty(value = "复充率（总量）")
    private BigDecimal userAgainRate;

    /**
     * 新用户复充率（总量）
     */
    @ApiModelProperty(value = "新用户复充率（总量）")
    private BigDecimal newUserAgainRate;

    /**
     * 当天复充率（总量）
     */
    @ApiModelProperty(value = "当天复充率（总量）")
    private BigDecimal todayAgainRate;

    /**
     * 新用户复充人数（总量）（前端不需要显示）
     */
    @ApiModelProperty(value = "新用户复充人数（总量）（前端不需要显示）")
    private Long newUserAgainNum;

    /**
     * 新增注册ARPU（总量）
     */
    @ApiModelProperty(value = "新增注册ARPU（总量）")
    private BigDecimal regUserArpu;

    /**
     * 首日付费ARPU（总量）
     */
    @ApiModelProperty(value = "首日付费ARPU（总量）")
    private BigDecimal firstAmountArpu;

    /**
     * 当天付费ARPU（总量）
     */
    @ApiModelProperty(value = "当天付费ARPU（总量）")
    private BigDecimal todayAmountArpu;

    /**
     * 账面ARPU（总量）
     */
    @ApiModelProperty(value = "账面ARPU（总量）")
    private BigDecimal amountArpu;

    /**
     * 新用户付费ARPU（总量）
     */
    @ApiModelProperty(value = "新用户付费ARPU（总量）")
    private BigDecimal newUserAmountArpu;


    @ApiModelProperty(value = "注册成本（总量） = 消耗 / 注册人数")
    private BigDecimal regCost;

    @ApiModelProperty(value = "总回收率（总量） = 新用户累计充值金额 / 消耗")
    private BigDecimal totalRoi;

    @ApiModelProperty(value = "首日充值成本（总量） = 消耗 / 首日新用户充值人数")
    private BigDecimal firstNewUserRechargeCost;

    @ApiModelProperty(value = "总充值成本（总量） = 消耗 / 新用户累计充值人数")
    private BigDecimal totalRechargeCost;

    @ApiModelProperty(value = "新用户回收率（总量） = 新用户充值今日 / 消耗")
    private BigDecimal newUserRechargeRate;

    @ApiModelProperty(value = "新用户充值成本（总量） = 消耗 / 新用户充值人数")
    private BigDecimal newUserRechargeCost;

    @ApiModelProperty(value = "注册成本（买量） = 消耗 / 注册人数")
    private BigDecimal buyRegCost;

    @ApiModelProperty(value = "总回收率（买量） = 新用户累计充值金额 / 消耗")
    private BigDecimal buyTotalRoi;

    @ApiModelProperty(value = "首日充值成本（买量） = 消耗 / 首日新用户充值人数")
    private BigDecimal buyFirstNewUserRechargeCost;

    @ApiModelProperty(value = "总充值成本（买量） = 消耗 / 新用户累计充值人数")
    private BigDecimal buyTotalRechargeCost;

    @ApiModelProperty(value = "新用户回收率（买量） = 新用户充值今日 / 消耗")
    private BigDecimal buyNewUserRechargeRate;

    @ApiModelProperty(value = "新用户充值成本（买量） = 消耗 / 新用户充值人数")
    private BigDecimal buyNewUserRechargeCost;

    @ApiModelProperty(value = "注册成本（自然量） = 消耗 / 注册人数")
    private BigDecimal natureRegCost;

    @ApiModelProperty(value = "总回收率（自然量） = 新用户累计充值金额 / 消耗")
    private BigDecimal natureTotalRoi;

    @ApiModelProperty(value = "首日充值成本（自然量） = 消耗 / 首日新用户充值人数")
    private BigDecimal natureFirstNewUserRechargeCost;

    @ApiModelProperty(value = "总充值成本（自然量） = 消耗 / 新用户累计充值人数")
    private BigDecimal natureTotalRechargeCost;

    @ApiModelProperty(value = "新用户回收率（自然量） = 新用户充值今日 / 消耗")
    private BigDecimal natureNewUserRechargeRate;

    @ApiModelProperty(value = "新用户充值成本（自然量） = 消耗 / 新用户充值人数")
    private BigDecimal natureNewUserRechargeCost;

}
