package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @author tianhua
 * @time 2023/7/12
 * @Description 返回给前端的游戏总数据实体
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class H5NatureUserVO {
    private String natureSourceSystem;
    /**
     * 游戏官方导量用户数据：游戏名称
     */
    @ApiModelProperty("游戏官方导量用户数据：游戏名称")
    private String natureGameName;

    /**
     * 游戏官方导量用户数据：游戏ID
     */
    @ApiModelProperty("游戏官方导量用户数据：游戏ID")
    private Long natureGameId;

    /**
     * 游戏官方导量用户数据：游戏类别
     */
    @ApiModelProperty("游戏官方导量用户数据：游戏类别")
    private Long natureClassify;

    @ApiModelProperty("游戏买量导入用户数据：新用户充值金额")
    private BigDecimal newUserRechargeMoney;

    @ApiModelProperty("游戏买量导入用户数据：新用户充值人数")
    private Long newUserRechargeNum;

    /**
     * 游戏官方导量用户数据：累计充值金额
     */
    @ApiModelProperty("游戏官方导量用户数据：累计充值金额")
    private BigDecimal h5LeadNatureNewUserTotalAmount;

    /**
     * 游戏官方导量用户数据：累计充值人数
     */
    @ApiModelProperty("游戏官方导量用户数据：累计充值人数")
    private Long h5LeadNatureNewUserTotalAmountNum;

    /**
     * 游戏官方导量用户数据：账面充值金额
     */
    @ApiModelProperty("游戏官方导量用户数据：账面充值金额")
    private BigDecimal h5LeadNatureAmount;

    /**
     * 游戏官方导量用户数据：账面充值人数
     */
    @ApiModelProperty("游戏官方导量用户数据：账面充值人数")
    private Long h5LeadNatureAmountNum;
}
