package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * @author tianhua
 * @time 2023/7/5
 * @Description 整体概况折线图前端展示数据实体
 **/
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class OverallSummaryLineDataVO {

    /**
     * 日期
     */
    @ApiModelProperty(value = "日期")
    private LocalDate dt;

    /**
     * 消耗
     */
    @ApiModelProperty(value = "消耗")
    private BigDecimal cost;

    /**
     * 充值
     */
    @ApiModelProperty(value = "充值")
    private BigDecimal amount;

    /**
     * 买量充值
     */
    @ApiModelProperty(value = "买量充值")
    private BigDecimal buyAmount;

    /**
     * 自然量充值
     */
    @ApiModelProperty(value = "自然量充值")
    private BigDecimal natureAmount;

    /**
     * 首日ROI
     */
    @ApiModelProperty(value = "首日ROI")
    private BigDecimal firstRoi;

    /**
     * 新增用户
     */
    @ApiModelProperty(value = "新增用户")
    private Long playerAccount;


}
