package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @author tianhua
 * @time 2023/7/4
 * @Description 整体概况前端展示数据实体
 **/
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class OverallSummaryVO {

    /**
     * 玩家总计
     */
    @ApiModelProperty(value = "玩家总计")
    private Long totalPlayers;

    /**
     * 今日新增玩家数量
     */
    @ApiModelProperty(value = "今日新增玩家数量")
    private Long todayPlayerCount;

    /**
     * 昨日新增玩家数量
     */
    @ApiModelProperty(value = "昨日新增玩家数量")
    private Long yesterdayPlayerCount;

    /**
     * 累计消耗
     */
    @ApiModelProperty(value = "消耗总计")
    private BigDecimal totalCost;

    /**
     * 今日消耗
     */
    @ApiModelProperty(value = "今日消耗")
    private BigDecimal todayTotalCost;

    /**
     * 昨日消耗
     */
    @ApiModelProperty(value = "昨日消耗")
    private BigDecimal yesterdayTotalCost;

    /**
     * 累计充值
     */
    @ApiModelProperty(value = "充值总计")
    private BigDecimal totalAmount;

    /**
     * 今日新用户充值
     */
    @ApiModelProperty(value = "今日新用户充值")
    private BigDecimal todayNewPlayerAmount;

    /**
     * 今日账面充值
     */
    @ApiModelProperty(value = "今日账面充值")
    private BigDecimal todayAmount;

    /**
     * 昨日新用户充值
     */
    @ApiModelProperty(value = "昨日新用户充值")
    private BigDecimal yesterdayNewPlayerAmount;

    /**
     * 昨日账面充值
     */
    @ApiModelProperty(value = "昨日账面充值")
    private BigDecimal yesterdayAmount;

    /**
     * 总渠道数
     */
    @ApiModelProperty(value = "渠道总计")
    private Long totalAgentCount;

    /**
     * 今日新增渠道数量
     */
    @ApiModelProperty(value = "今日新增渠道数量")
    private Long todayAgentCount;

    /**
     * 昨日新增渠道数量
     */
    @ApiModelProperty(value = "昨日新增渠道数量")
    private Long yesterdayAgentCount;

    /**
     * 游戏总计
     */
    @ApiModelProperty(value = "游戏总投数")
    private Long totalGameCount;

    /**
     * 今日在投游戏数量
     */
    @ApiModelProperty(value = "今日在投游戏数量")
    private Long todayGameCount;

    /**
     * 昨日在投游戏数量
     */
    @ApiModelProperty(value = "昨日在投游戏数量")
    private Long yesterdayGameCount;

    /**
     * 总回本率
     */
    @ApiModelProperty(value = "总回本率")
    private BigDecimal totalRoi;

    /**
     * 总数据首日Roi
     */
    @ApiModelProperty(value = "首日Roi")
    private BigDecimal totalFirstRoi;

    /**
     * 今日回本率
     */
    @ApiModelProperty(value = "今日回本率")
    private BigDecimal firstRoi;

    /**
     * 7日回本率
     */
    @ApiModelProperty(value = "7日回本率")
    private BigDecimal d7TotalRoi;

    /**
     * 30日回本率
     */
    @ApiModelProperty(value = "30日回本率")
    private BigDecimal d30TotalRoi;


}
