package com.zanxiang.game.data.serve.service;

import com.zanxiang.game.data.serve.pojo.dto.*;
import com.zanxiang.game.data.serve.pojo.vo.*;
import com.zanxiang.game.data.serve.utils.Page;

import java.time.LocalDate;
import java.util.List;
import java.util.Map;

public interface IGameDataService {

    /**
     * 游戏每日数据
     * @param dto
     * @return
     */
    Page<GameDataDayVO> getGameDataDay(GameDataDayDTO dto);

    /**
     * 游戏每日数据总计
     * @param dto
     * @return
     */
    GameDataDayTotalVO getGameDataDayTotal(GameDataDayTotalDTO dto);

    /**
     * 游戏总数据
     * @param dto
     * @return
     */
    Page<GameDataTotalVO> getGameDataTotal(GameDataTotalDTO dto);

    /**
     * 游戏流水数据
     * @param dto
     * @return
     */
    Page<GameDataWaterVO> getGameDataWater(GameDataWaterDTO dto);

    /**
     * 游戏每日复充数据
     * @param dto
     * @return
     */
    Map<LocalDate, List<GameDataAgainDayVO>> getGameDataAgainDay(GameDataAgainDayDTO dto) throws Exception;


    Page<GameDataH5VO> getH5Recharge(GameDataH5DTO dto);
}
