package com.zanxiang.game.module.mybatis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2023-07-17
 * @description : 游戏提现记录
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
@Builder
@TableName("t_game_remit_log")
public class GameRemitLog implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 游戏id
     */
    private Long gameId;

    /**
     * 交易订单号
     */
    private String merchantOrderNo;

    /**
     * 金额(单位 : 分)
     */
    private Long amount;

    /**
     * 提现平台
     */
    private String payPlatform;

    /**
     * 提现账号
     */
    private String payAccount;

    /**
     * 提现时间
     */
    private LocalDateTime createdTime;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;
}
