package com.zanxiang.game.module.sdk.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.mybatis.entity.GameAppletShell;
import com.zanxiang.game.module.mybatis.entity.User;

/**
 * @author : lingfeng
 * @time : 2023-07-06
 * @description : 壳包控制
 */
public interface IGameAppletShellService extends IService<GameAppletShell> {

    /**
     * 获取壳开关
     *
     * @param appId   应用程序id
     * @param version 版本
     * @return {@link Integer}
     */
    Integer getShellSwitch(String appId, String version);

    /**
     * 获取用户壳开关
     *
     * @param user     用户
     * @param register 注册
     * @return {@link Integer}
     */
    Integer getUserShellSwitch(User user, boolean register);
}
